JUCE: TableHeaderComponent::Listener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TableHeaderComponent::Listener Class Referenceabstract
juce_gui_basics » widgets

Receives events from a TableHeaderComponent when columns are resized, moved, etc. More...

`#include <juce_TableHeaderComponent.h>`

Inheritance diagram for TableHeaderComponent::Listener:

## Public Member Functions
| Listener ()=default
virtual | ~Listener ()=default
| Destructor.
virtual void | tableColumnsChanged (TableHeaderComponent *tableHeader)=0
| This is called when some of the table's columns are added, removed, hidden, or rearranged.
virtual void | tableColumnsResized (TableHeaderComponent *tableHeader)=0
| This is called when one or more of the table's columns are resized.
virtual void | tableSortOrderChanged (TableHeaderComponent *tableHeader)=0
| This is called when the column by which the table should be sorted is changed.
virtual void | tableColumnDraggingChanged (TableHeaderComponent *tableHeader, int columnIdNowBeingDragged)
| This is called when the user begins or ends dragging one of the columns around.

## Detailed Description

Receives events from a TableHeaderComponent when columns are resized, moved, etc.

You can register one of these objects for table events using TableHeaderComponent::addListener() and TableHeaderComponent::removeListener().

See also
  TableHeaderComponent

## Constructor & Destructor Documentation

## ◆ Listener()

TableHeaderComponent::Listener::Listener | ( |  | ) |
| default

## ◆ ~Listener()

virtual TableHeaderComponent::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ tableColumnsChanged()

virtual void TableHeaderComponent::Listener::tableColumnsChanged | ( | TableHeaderComponent * | tableHeader | ) |
| pure virtual

This is called when some of the table's columns are added, removed, hidden, or rearranged.

Implemented in TableListBox.

## ◆ tableColumnsResized()

virtual void TableHeaderComponent::Listener::tableColumnsResized | ( | TableHeaderComponent * | tableHeader | ) |
| pure virtual

This is called when one or more of the table's columns are resized.

Implemented in TableListBox.

## ◆ tableSortOrderChanged()

virtual void TableHeaderComponent::Listener::tableSortOrderChanged | ( | TableHeaderComponent * | tableHeader | ) |
| pure virtual

This is called when the column by which the table should be sorted is changed.

Implemented in TableListBox.

## ◆ tableColumnDraggingChanged()

virtual void TableHeaderComponent::Listener::tableColumnDraggingChanged | ( | TableHeaderComponent * | tableHeader,
|  | int | columnIdNowBeingDragged
| ) |  |
| virtual

This is called when the user begins or ends dragging one of the columns around.

When the user starts dragging a column, this is called with the ID of that column. When they finish dragging, it is called again with 0 as the ID.

Reimplemented in TableListBox.

The documentation for this class was generated from the following file:

- juce_TableHeaderComponent.h